# $Id: gollem-h3.spec,v 1.7 2009/12/10 03:26:47 mrjhb3 Exp $
# Authority: mrjhb3
# Name: John H. Bennett III

%define apachedir /etc/httpd
%define apacheuser www
%define apachegroup www
%define contentdir /home/httpd

Summary: The web-based file manager for Horde.
Name: gollem-h3
Version: 1.1.1
Release: 1%{?dist}
License: LGPL
Group: Applications/Horde
Source: ftp://ftp.horde.org/pub/gollem/tarballs/gollem-h3-%{version}.tar.gz
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: /tmp/horde-root
AutoReq: no
Requires: horde >= 3.0
Requires: php >= 4.3.0
Requires: httpd >= 2.0.46
Prereq: /usr/bin/perl

%description
Gollem is a web-based file manager, providing the ability to fully
manage a hierarchical file system stored in a variety of backends such as a
SQL database, as part of a real filesystem, or on an FTP server.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Horde
and its modules) please visit http://www.horde.org/.

This package contains customizations for SME Server
and will probably not work properly on other Linux systems.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/horde/gollem
cp -pR * $RPM_BUILD_ROOT%{contentdir}/html/horde/gollem
chmod go-rwx $RPM_BUILD_ROOT%{contentdir}/html/horde/gollem/test.php
cd $RPM_BUILD_ROOT%{contentdir}/html/horde/gollem/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-,root,root)
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/html/horde/gollem
# Include top-level files by hand
%{contentdir}/html/horde/gollem/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/html/horde/gollem/lib
%{contentdir}/html/horde/gollem/locale
%{contentdir}/html/horde/gollem/po
%{contentdir}/html/horde/gollem/templates
%{contentdir}/html/horde/gollem/themes
%{contentdir}/html/horde/gollem/js
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/html/horde/gollem/COPYING
%doc %{contentdir}/html/horde/gollem/README
%docdir %{contentdir}/html/horde/gollem/docs
%{contentdir}/html/horde/gollem/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/html/horde/gollem/config
%defattr(640,root,%{apachegroup})
#%{contentdir}/html/horde/gollem/config/.htaccess
%{contentdir}/html/horde/gollem/config/*.dist
%config %{contentdir}/html/horde/gollem/config/*.php
%config %{contentdir}/html/horde/gollem/config/*.xml

%changelog
* Wed Dec 09 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.1.1-1
- Updated to gollem 1.1.1

* Wed Apr 1 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-1
- Updated to gollem 1.1

* Fri Dec 05 2008 John H. Bennett III <bennettj@johnbennettservices.com> 1.0.4-1
- Updated to gollem 1.0.4

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Fri Mar 23 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0.3-1
- Updated to gollem 1.0.3

* Sat Mar 18 2006 John H. Bennett III <bennettj@johnbennettservices.com>
- Re-rolled with Gollem 1.0.2 previous was RC1

* Thu Mar 2 2006 John H. Bennett III <bennettj@johnbennettservices.com>
- Re-rolled with Gollem 1.0.2

* Thu Sep 01 2005 Greg Swallow
- [1.0-1sme01]
- Initial Release

